! BUG:  ifort  -O3 -fast  numeric_aux.f90 test.f90
! OK:   ifort   numeric_aux.f90 test.f90

program tryit
use numeric_aux
implicit none
integer,parameter :: n=12
real(kind=double_precision) :: x0=2, x1=8, x(n), walls(n+1), dx(n)

call setup_exponential_grid(x0, x1, x, walls, dx)
write(*,*) "x0    =", x0
write(*,*) "x1    =", x1
write(*,*) "x     =", x
write(*,*) "walls =", walls
write(*,*) "dx    =", dx

end program tryit
